<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pengaduan_bks', function (Blueprint $table) {
            $table->increments('id_pengaduan_bk');
            $table->date('tanggal');
            $table->string('judul_pengaduan', 100);
            $table->enum('jenis_pengaduan', ['Pribadi', 'Sosial', 'Karier', 'Belajar']);
            $table->string('metode', 50);
            $table->text('isi_keluhan');
            $table->string('dokumentasi', 255)->nullable();
            $table->unsignedBigInteger('id_user');
            $table->boolean('status');
            $table->foreign('id_user')->references('id')->on('users')->onDelete('cascade')->onUpdate('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pengaduan_bks');
    }
};
